commit:     20f4af2f33d795d86bdc771a4e9748439bc622ac
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 23 15:08:42 2020 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Wed Sep 23 15:09:31 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=20f4af2f

games-engines/scummvm-tools: Bump to version 2.2.0

- Fixed call to strings (bug #733416)

Closes: https://bugs.gentoo.org/733416
Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 games-engines/scummvm-tools/Manifest               |  1 +
 .../scummvm-tools/scummvm-tools-2.2.0.ebuild       | 69 ++++++++++++++++++++++
 2 files changed, 70 insertions(+)

diff --git a/games-engines/scummvm-tools/Manifest 
b/games-engines/scummvm-tools/Manifest
index 67d4024f9e6..46d781ead79 100644
--- a/games-engines/scummvm-tools/Manifest
+++ b/games-engines/scummvm-tools/Manifest
@@ -1 +1,2 @@
 DIST scummvm-tools-2.1.0.tar.xz 710124 BLAKE2B 
e6985c2e12a31aa9b11a80193186b101e663ce7eaf95de68639482bc82e104c879518f253c40e733c829ceb75b62d4905314cf7ad959766c4b7b49c1ee9e0136
 SHA512 
40e0b1a545257922dd1846d520ef0c18ef7a2682a3d7bb1709bcd49b1338ed7cefea438958941586329271d84e01bf189a14e31f5758e500df607d162ee9cc15
+DIST scummvm-tools-2.2.0.tar.xz 712048 BLAKE2B 
bb5307ee25476c9b4042fa0704f8b9bbfc4a57c09670bc699c83b9d5ebb0a7b9cda55f7267aafa6ae57e3ce53993740a1523616e39cf0a2c0c7249b23208372e
 SHA512 
97d23a94772809b6fe6dcfc4d1bde9e1a12c124cb49b0a465456adbbd56358a1612b9797abb9577dc350e1150fb4a70d4b7451e794c436c8e91692b4a83deb89

diff --git a/games-engines/scummvm-tools/scummvm-tools-2.2.0.ebuild 
b/games-engines/scummvm-tools/scummvm-tools-2.2.0.ebuild
new file mode 100644
index 00000000000..8116e88b4f6
--- /dev/null
+++ b/games-engines/scummvm-tools/scummvm-tools-2.2.0.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+WX_GTK_VER=3.0-gtk3
+inherit wxwidgets eutils flag-o-matic toolchain-funcs
+
+DESCRIPTION="utilities for the SCUMM game engine"
+HOMEPAGE="http://scummvm.sourceforge.net/";
+SRC_URI="http://scummvm.org/frs/scummvm-tools/${PV}/${P}.tar.xz";
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE="flac iconv mad png vorbis"
+RESTRICT="test" # some tests require external files
+
+RDEPEND="
+       >=dev-libs/boost-1.32:=
+       sys-libs/zlib
+       x11-libs/wxGTK:${WX_GTK_VER}
+       flac? ( media-libs/flac )
+       iconv? ( virtual/libiconv media-libs/freetype:2 )
+       mad? ( media-libs/libmad )
+       png? ( media-libs/libpng:0= )
+       vorbis? ( media-libs/libvorbis )
+"
+DEPEND="
+       ${RDEPEND}
+"
+BDEPEND="
+       virtual/pkgconfig
+"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-1.8.0-binprefix.patch"
+)
+
+src_prepare() {
+       default
+
+       rm -rf *.bat dists/win32 || die
+       sed -ri -e '/^(CC|CXX)\b/d' Makefile || die
+}
+
+src_configure() {
+       setup-wxwidgets
+
+       # Not an autoconf script
+       ./configure \
+               --disable-tremor \
+               --enable-verbose-build \
+               --mandir="${EPREFIX}/usr/share/man" \
+               --prefix="${EPREFIX}/usr" \
+               $(use_enable flac) \
+               $(use_enable iconv) \
+               $(use_enable iconv freetype2) \
+               $(use_enable mad) \
+               $(use_enable png) \
+               $(use_enable vorbis) || die
+}
+
+src_compile() {
+       emake STRINGS="$(tc-getSTRINGS)"
+}
+
+src_install() {
+       EXEPREFIX="${PN}-" default
+}

Reply via email to